"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var decorators_1 = require("../decorators");
var AccessHelper = /** @class */ (function () {
    function AccessHelper() {
    }
    /**
     * Функция проверяет наличие ролей у пользователя
     * @param parsedToken Распаршеный Keycloak token
     * @param client id клиента в keycloak
     * @param role id роли в keycloak
     */
    AccessHelper.containRole = function (parsedToken, client, role) {
        return (parsedToken &&
            parsedToken.resource_access &&
            parsedToken.resource_access[client] &&
            parsedToken.resource_access[client].roles instanceof Array &&
            parsedToken.resource_access[client].roles.indexOf(role) >= 0);
    };
    AccessHelper.checkPermissions = function (token, permissions) {
        var isAccess = decorators_1.prepareArray(permissions).reduce(function (result, perm) {
            return result ||
                AccessHelper.containRole(token, perm.accessClient, perm.accessRole);
        }, false // начальное значение
        );
        return isAccess;
    };
    return AccessHelper;
}());
exports.AccessHelper = AccessHelper;
