import { TokenExtractor, TokenInterface } from '../models';
/**
 * Options for create authorize middleware
 */
export interface AuthorizeMiddlewareOptions {
    tokenExtractor: TokenExtractor;
    checkRoleFn?: CheckRoleFn;
}
export declare type CheckRoleFn = (token: TokenInterface) => boolean;
/**
 * Create check roles in token function
 * @param options must contain token extractor instance
 */
export declare function authorizeMiddlewareFactory(options: AuthorizeMiddlewareOptions): (authHeader: string) => Promise<boolean>;
