"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var routing_controllers_1 = require("routing-controllers");
/**
 * С помощью данного декоратора можно отключать endpoint`ы в зависимости от
 * переменной окружения NODE_ENV
 * @param environments Массив разрешенных значений NODE_ENV
 */
function AccessOnEnvironment(environments) {
    var nodeEnv = process.env.NODE_ENV;
    if (environments.indexOf(nodeEnv) < 0) {
        return function (target, propertyKey, descriptor) {
            var controllerName = target.constructor
                .toString()
                .match(/class (\w+)?/)[1];
            routing_controllers_1.getMetadataArgsStorage().responseHandlers.push({
                type: 'on-null',
                target: target.constructor,
                method: propertyKey,
                value: 405
            });
            descriptor.value = function () {
                return null;
            };
        };
    }
    else {
        return function (target, propertyKey, descriptor
            // tslint:disable-next-line:no-empty
        ) { };
    }
}
exports.AccessOnEnvironment = AccessOnEnvironment;
