"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Parse token string from header
 * @param header Auth header string
 * @param prefix Auth header prefix string, default "bearer" (case sensitive)
 */
function parseAuthHeader(header, prefixes) {
    if (prefixes === void 0) { prefixes = ['bearer ', 'Bearer ']; }
    var foundPrefix = prefixes.find(function (prefix) { return header.startsWith(prefix); });
    if (!!foundPrefix) {
        var token = header.substr(foundPrefix.length);
        return token;
    }
    else {
        throw new Error("invalid stard header string, expect " + prefixes + "..., got " + header.substr(10));
    }
}
exports.parseAuthHeader = parseAuthHeader;
function extractClientRoles() { }
exports.extractClientRoles = extractClientRoles;
